if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "PRIEST" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.


C["Mind Flay"], _, C["Mind Flay Icon"] = GetSpellInfo(15407)
C["Shadow Word: Pain"], _, C["Shadow Word: Pain Icon"] = GetSpellInfo(589)
C["Vampiric Touch"], _, C["Vampiric Touch Icon"] = GetSpellInfo(34914)
C["Devouring Plague"], _, C["Devouring Plague Icon"] = GetSpellInfo(2944)
C["Mind Blast"], _, C["Mind Blast Icon"] = GetSpellInfo(8092)

---------------------------
-- Hunter Priorities
---------------------------

function PriorityQueue:GetPriestPriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Shadow"] =  L["Shadow"]
	self.presets.priorities.list["Shadow"] = { "swp", "vt", "mb", "dp", "mf", "none", "none", "none", "none", "none" }
	self.presets.default = "Shadow"
end

PriorityQueue.priorityTable.name["mf"] = C["Mind Flay"]
PriorityQueue.priorityTable.icon["mf"] = C["Mind Flay Icon"]
PriorityQueue.priorityTable.test["mf"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Mind Flay"])
	end 

PriorityQueue.priorityTable.name["swp"] = C["Shadow Word: Pain"]
PriorityQueue.priorityTable.icon["swp"] = C["Shadow Word: Pain Icon"]
PriorityQueue.priorityTable.test["swp"] = 
	function () 
		return not PriorityQueue:GetDebuffInfo(C["Shadow Word: Pain"]) and PriorityQueue:SpellAvailable(C["Shadow Word: Pain"])
	end 

PriorityQueue.priorityTable.name["vt"] = C["Vampiric Touch"]
PriorityQueue.priorityTable.icon["vt"] = C["Vampiric Touch Icon"]
PriorityQueue.priorityTable.test["vt"] = 
	function () 
		if not PriorityQueue:SpellAvailable(C["Vampiric Touch"]) then 
			return false
		end
		local vtdebuff, vtduration = PriorityQueue:GetDebuffInfo(C["Vampiric Touch"])
		return not vtdebuff or ( vtduration < self:GetExpectedCastTime(1.5) )
	end 

PriorityQueue.priorityTable.name["mb"] = C["Mind Blast"]
PriorityQueue.priorityTable.icon["mb"] = C["Mind Blast Icon"]
PriorityQueue.priorityTable.test["mb"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Mind Blast"])
	end 

PriorityQueue.priorityTable.name["dp"] = C["Devouring Plague"]
PriorityQueue.priorityTable.icon["dp"] = C["Devouring Plague Icon"]
PriorityQueue.priorityTable.test["dp"] = 
	function () 
		return not PriorityQueue:GetDebuffInfo(C["Devouring Plague"]) and PriorityQueue:SpellAvailable(C["Devouring Plague"])
	end 
	
